package com.mortals.xhx.module.firm.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.firm.model.FirmEntity;
import com.mortals.xhx.module.firm.model.FirmQuery;
import com.mortals.xhx.module.firm.service.FirmService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 设备生产厂商
*
* @author zxfei
* @date 2022-03-09
*/
@RestController
@RequestMapping("firm")
public class FirmController extends BaseCRUDJsonMappingController<FirmService,FirmForm,FirmEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FirmController(){
        super.setFormClass(FirmForm.class);
        super.setModuleDesc( "设备生产厂商");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, FirmForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}